Get budget spend progress
curl -X GET "https://api.403fin.io/v1/budgets/123e4567-e89b-12d3-a456-426614174000/progress?month=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.403fin.io/v1/budgets/123e4567-e89b-12d3-a456-426614174000/progress?month=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.403fin.io/v1/budgets/123e4567-e89b-12d3-a456-426614174000/progress?month=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.403fin.io/v1/budgets/123e4567-e89b-12d3-a456-426614174000/progress?month=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.403fin.io/v1/budgets/123e4567-e89b-12d3-a456-426614174000/progress?month=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"data": {
"budget_id": "123e4567-e89b-12d3-a456-426614174000",
"method_type": "example_string",
"total_income": "example_string",
"total_allocated": "example_string",
"total_spent": "example_string",
"remaining": "example_string",
"expected_income": "example_string",
"anomaly_total": "example_string",
"method_meta": {
"display_name": "John Doe",
"is_name_editable": true,
"has_fixed_groups": true
},
"groups": [
{
"group_id": "123e4567-e89b-12d3-a456-426614174000",
"group_name": "John Doe",
"allocated": "example_string",
"spent": "example_string",
"remaining": "example_string",
"spent_percentage": 3.14,
"rollover_amount": "example_string",
"upcoming_recurring_total": "example_string",
"phase_active": true
}
],
"anomalies": [
{
"transaction_id": "123e4567-e89b-12d3-a456-426614174000",
"amount": "example_string",
"transaction_date": "2024-12-25",
"status": "example_string",
"covered_by_goal": "example_string",
"covered_by_plan_line": "example_string"
}
],
"period_start": "2024-12-25",
"period_end": "2024-12-25",
"period_label": "example_string",
"is_current_period": true
},
"pagination": {
"next_cursor": "example_string",
"has_more": true
},
"redacted_fields": [
"example_string"
],
"filtered": true
}
{}
/v1/budgets/{id}/progressTarget server for requests. Edit to use your own host.
An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
An opaque ff_ credential presented in the X-API-Key header.
The resource UUID.
The month to report, as YYYY-MM. Defaults to the current month.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
API Key for authentication. An opaque ff_ credential presented in the X-API-Key header.
Path Parameters
The resource UUID.
Query Parameters
The month to report, as YYYY-MM. Defaults to the current month.
Responses
Cursor pagination state, present on list endpoints.
Field ids stripped from the payload by connection scope.
True when row or aggregate filtering is in effect for this response.